Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class AccessFlags

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.AccessFlags

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FieldOrMethod, JavaClass

    public abstract class AccessFlags

extends Object
implements Serializable

Super class for all objects that have modifiers like private, final, ... I.e. classes, fields, and methods.

Version:
  $Id: AccessFlags.java 1237336 2012-01-29 16:43:45Z markt $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary
`protected int` `access_flags`

Constructor Summary
`AccessFlags()`

Method Summary
`int` `getAccessFlags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### access_flags

    protected int access_flags

Constructor Detail

### AccessFlags

    public AccessFlags()

Method Detail

### getAccessFlags

    public final int getAccessFlags()

  Returns:
    Access flags of the object aka. "modifiers".

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.